Bug 179736 - port update: games/openssn
Summary: port update: games/openssn
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-20 00:20 UTC by Jesse
Modified: 2013-06-27 00:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.35 KB, patch)
2013-06-20 00:20 UTC, Jesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse 2013-06-20 00:20:00 UTC
This patch brings the games/openssn port up to date with the upstream project. This new version includes many bug fixes, several in-game AI improvements and a more robust build/compile process. The new version of the game also includes new AI units and many new missions.

Fix: Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-06-20 02:51:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski 2013-06-20 21:24:30 UTC
There are leftovers, please check
https://redports.org/~wg/20130620195800-15423-127618/openssn-1.4.log

--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 3 William Grzybowski freebsd_committer 2013-06-27 00:30:38 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2013-06-27 00:30:43 UTC
Author: wg
Date: Wed Jun 26 23:30:28 2013
New Revision: 321824
URL: http://svnweb.freebsd.org/changeset/ports/321824

Log:
  games/openssn: update to 1.4
  
  - Update to 1.4 [1]
  - Trim Makefile header
  - Remove LICENSE_FILE, not necessary
  - Remove leading article from COMMENT
  - Install MAN
  - Use desktop-file-utils
  
  PR:		ports/179736
  Submitted by:	Jesse <jessefrgsmith@yahoo.ca> (maintainer)

Added:
  head/games/openssn/files/
  head/games/openssn/files/patch-Makefile   (contents, props changed)
Modified:
  head/games/openssn/Makefile
  head/games/openssn/distinfo
  head/games/openssn/pkg-descr
  head/games/openssn/pkg-plist

Modified: head/games/openssn/Makefile
==============================================================================
--- head/games/openssn/Makefile	Wed Jun 26 23:21:30 2013	(r321823)
+++ head/games/openssn/Makefile	Wed Jun 26 23:30:28 2013	(r321824)
@@ -1,24 +1,25 @@
-# New ports collection makefile for:	OpenSSN
-# Date created:			30, May 2011
-# Whom:				Jesse Smith <jessefrgsmith@yahoo.ca>
-#
+# Created by: Jesse Smith <jessefrgsmith@yahoo.ca>
 # $FreeBSD$
-#
 
 PORTNAME=	openssn
-PORTVERSION=	0.7
-PORTREVISION=	2
+PORTVERSION=	1.4
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	jessefrgsmith@yahoo.ca
-COMMENT=	A modern submarine simulator
+COMMENT=	Modern submarine simulator
 
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/LICENSE
 
+MAN6=		openssn.6
+MANCOMPRESSED=	yes
+
+USES=		desktop-file-utils
 USE_SDL=	sdl gfx image mixer
 USE_XORG=	x11 xau xdmcp xext xmu xpm xxf86vm
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+post-patch:
+	@${REINPLACE_CMD} -e 's,share/man/man6,man/man6,g' ${WRKSRC}/Makefile
+
 .include <bsd.port.mk>

Modified: head/games/openssn/distinfo
==============================================================================
--- head/games/openssn/distinfo	Wed Jun 26 23:21:30 2013	(r321823)
+++ head/games/openssn/distinfo	Wed Jun 26 23:30:28 2013	(r321824)
@@ -1,2 +1,2 @@
-SHA256 (openssn-0.7.tar.gz) = 51147494faa07fa493c0eb0aa99936d3cdb74e5053e1e7913eb02f866920abdf
-SIZE (openssn-0.7.tar.gz) = 6004690
+SHA256 (openssn-1.4.tar.gz) = 90778d4c6d9b73351102ce1a6d3e30d9209822eea326079d952ae55d840bcba8
+SIZE (openssn-1.4.tar.gz) = 6089395

Added: head/games/openssn/files/patch-Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/openssn/files/patch-Makefile	Wed Jun 26 23:30:28 2013	(r321824)
@@ -0,0 +1,10 @@
+--- ./Makefile.orig	2013-06-19 16:47:57.000000000 -0300
++++ ./Makefile	2013-06-19 16:48:04.000000000 -0300
+@@ -1,6 +1,6 @@
+ PREFIX ?= /usr
+ SSN = openssn
+-DATADIR = $(PREFIX)/share/openssn
++DATADIR = $(PREFIX)/share/games/openssn
+ OPTDIR = /opt/openssn
+ VERSION = 1.4
+ 

Modified: head/games/openssn/pkg-descr
==============================================================================
--- head/games/openssn/pkg-descr	Wed Jun 26 23:21:30 2013	(r321823)
+++ head/games/openssn/pkg-descr	Wed Jun 26 23:30:28 2013	(r321824)
@@ -2,4 +2,4 @@ OpenSSN is a modern submarine simulator 
 control of the submarine simple, letting the player focus on the
 tactical situation.
 
-WWW:	http://openssn.sourceforge.net/
+WWW: http://openssn.sourceforge.net/

Modified: head/games/openssn/pkg-plist
==============================================================================
--- head/games/openssn/pkg-plist	Wed Jun 26 23:21:30 2013	(r321823)
+++ head/games/openssn/pkg-plist	Wed Jun 26 23:30:28 2013	(r321824)
@@ -1,4 +1,5 @@
 bin/openssn
+share/applications/openssn.desktop
 share/games/openssn/data/font.dat
 share/games/openssn/data/information.txt
 share/games/openssn/data/largefont.dat
@@ -6,14 +7,35 @@ share/games/openssn/data/mission0.dat
 share/games/openssn/data/mission1.dat
 share/games/openssn/data/mission2.dat
 share/games/openssn/data/mission3.dat
+share/games/openssn/data/mission4.dat
+share/games/openssn/data/mission5.dat
+share/games/openssn/data/mission6.dat
+share/games/openssn/data/mission7.dat
+share/games/openssn/data/mission8.dat
+share/games/openssn/data/mission9.dat
+share/games/openssn/data/mission10.dat
 share/games/openssn/data/orders0.txt
 share/games/openssn/data/orders1.txt
 share/games/openssn/data/orders2.txt
 share/games/openssn/data/orders3.txt
+share/games/openssn/data/orders4.txt
+share/games/openssn/data/orders5.txt
+share/games/openssn/data/orders6.txt
+share/games/openssn/data/orders7.txt
+share/games/openssn/data/orders8.txt
+share/games/openssn/data/orders9.txt
+share/games/openssn/data/orders10.txt
 share/games/openssn/data/ships0.dat
 share/games/openssn/data/ships1.dat
 share/games/openssn/data/ships2.dat
 share/games/openssn/data/ships3.dat
+share/games/openssn/data/ships4.dat
+share/games/openssn/data/ships5.dat
+share/games/openssn/data/ships6.dat
+share/games/openssn/data/ships7.dat
+share/games/openssn/data/ships8.dat
+share/games/openssn/data/ships9.dat
+share/games/openssn/data/ships10.dat
 share/games/openssn/images/A13off.png
 share/games/openssn/images/A13on.png
 share/games/openssn/images/A23off.png
@@ -186,10 +208,17 @@ share/games/openssn/ships/class3.shp
 share/games/openssn/ships/class4.shp
 share/games/openssn/ships/class5.shp
 share/games/openssn/ships/class6.shp
+share/games/openssn/ships/class7.shp
+share/games/openssn/ships/class8.shp
+share/games/openssn/ships/class9.shp
+share/games/openssn/ships/class10.shp
+share/games/openssn/ships/class11.shp
+share/games/openssn/ships/class12.shp
 share/games/openssn/ships/information.txt
 share/games/openssn/sounds/explosion.ogg
 share/games/openssn/sounds/sonar-ping.ogg
 share/games/openssn/sounds/torpedo-launch.ogg
+share/pixmaps/openssn.png
 @dirrm share/games/openssn/sounds
 @dirrm share/games/openssn/ships
 @dirrm share/games/openssn/images
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"